%% ``The contents of this file are subject to the Erlang Public License,
%% Version 1.1, (the "License"); you may not use this file except in
%% compliance with the License. You should have received a copy of the
%% Erlang Public License along with this software. If not, it can be
%% retrieved via the world wide web at http://www.erlang.org/.
%% 
%% Software distributed under the License is distributed on an "AS IS"
%% basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See
%% the License for the specific language governing rights and limitations
%% under the License.
%% 
%% The Initial Developer of the Original Code is Ericsson Utvecklings AB.
%% Portions created by Ericsson are Copyright 1999, Ericsson Utvecklings
%% AB. All Rights Reserved.''
%% 
%%     $Id$
%%
-module(erl.lang.function).

-export([info/1, info/2, to_string/1]).


% @doc See {@link /kernel/erlang:fun_info/1}.
info(Fun) when is_function(Fun) ->
    ['erlang.function':info(Fun, Key) ||
	Key <- [pid,module,new_index,new_uniq,index,uniq,env,arity]].


% @doc See {@link /kernel/erlang:fun_info/2}.
info(Fun, Item) ->
    erl.lang.function:info(Fun, Item).    % Built-in function


% @doc See {@link /kernel/erlang:fun_to_list/1}.
to_string(Fun) ->
    erl.lang.function:to_string(Fun).    % Built-in function
